> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.latitude.xyz/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.latitude.xyz/_mcp/server.

# Create a Financial Account

POST https://api.latitude.xyz/v1/financial_accounts
Content-Type: application/json

Creates a financial account for an existing individual or business

Reference: https://docs.latitude.xyz/api-reference/financial-accounts/post-v-1-financial-accounts

## Request

### Body (application/json)

This endpoint expects a postV1FinancialAccounts.

- `type` (enum, required) — Type of financial account (e.g., bank_account, crypto_wallet)
  - Allowed values: `pix`, `bank_account`, `digital_wallet`, `upi`, `crypto_wallet`, `ph_qr_code`, `bre_b`
- `details` (PostV1FinancialAccountsDetails, required) — Account-specific details required for the given type. See [Country-specific details](https://docs.latitude.xyz/integration-guides/country-specific-details)
- `owner_id` (string, optional) — The public ID of the individual (ind_) or business (bus_) to attach the financial account to. Exactly one of owner_id or individual_id is required
- `individual_id` (string, optional) — Deprecated, use owner_id. The public ID of the individual to attach the financial account to

## Response

### 201

Create a Financial Account

- `id` (string, required) — Unique public identifier for the financial account
- `type` (enum, required) — Type of financial account
  - Allowed values: `pix`, `bank_account`, `digital_wallet`, `upi`, `crypto_wallet`, `ph_qr_code`, `bre_b`
- `details` (ApiV1SerializersFinancialAccountDetails, required) — Account-specific details. See [Country-specific details](https://docs.latitude.xyz/integration-guides/country-specific-details)
- `created_at` (string, required) — ISO 8601 timestamp when the account was created
- `updated_at` (string, required) — ISO 8601 timestamp when the account was last updated

## Errors

### 400 Bad Request Error

Validation error: both owner_id and individual_id given, or a missing or invalid type or details

- `any`

### 404 Not Found Error

Individual or business not found, or neither owner_id nor individual_id given

- `any`

### 422 Unprocessable Entity Error

The owner already has this financial account

- `any`

## Types

### PostV1FinancialAccountsDetails

Account-specific details required for the given type. See [Country-specific details](https://docs.latitude.xyz/integration-guides/country-specific-details)

### ApiV1SerializersFinancialAccountDetails

Account-specific details. See [Country-specific details](https://docs.latitude.xyz/integration-guides/country-specific-details)

## Examples

**Request**

```json
{
  "type": "pix"
}
```

**Response**

```json
{
  "id": "string",
  "type": "pix",
  "details": {},
  "created_at": "2024-01-15T09:30:00Z",
  "updated_at": "2024-01-15T09:30:00Z"
}
```

**SDK Code**

```python
import requests

url = "https://api.latitude.xyz/v1/financial_accounts"

payload = { "type": "pix" }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.latitude.xyz/v1/financial_accounts';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"type":"pix"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.latitude.xyz/v1/financial_accounts"

	payload := strings.NewReader("{\n  \"type\": \"pix\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.latitude.xyz/v1/financial_accounts")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"type\": \"pix\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.latitude.xyz/v1/financial_accounts")
  .header("Content-Type", "application/json")
  .body("{\n  \"type\": \"pix\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.latitude.xyz/v1/financial_accounts', [
  'body' => '{
  "type": "pix"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.latitude.xyz/v1/financial_accounts");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"type\": \"pix\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = ["type": "pix"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.latitude.xyz/v1/financial_accounts")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```